/*
    Posadis - A DNS Server
    Universal include file for file functions, since different OS'ses use different directories
    Copyright (C) 2001  Meilof Veeningen <meilof@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __POSADIS_UNIFILE_H
#define __POSADIS_UNIFILE_H

#if defined(_WIN32) || defined(__CYGWIN__)

#include <dir.h>
#include <share.h>
#include <io.h>
#else /* _WIN32 || __CYGWIN__ */
#include <sys/types.h>
#include <dirent.h>
#include <sys/file.h>
#include <unistd.h>
#endif /* _WIN32 */

#include <limits.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>
#include <fstream.h>

#ifndef PATH_MAX
#define PATH_MAX MAXPATH
#endif

#ifndef MAXFILE
#define MAXFILE PATH_MAX*2
#endif

#endif /* __POSADIS_UNIFILE_H */

