/*
    Posadis - A DNS Server
    DNS data types
    Copyright (C) 2001  Meilof Veeningen <meilof@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __DNSTYPES_H
#define __DNSTYPES_H

typedef unsigned short u_short; /* unsigned 16-bit */
typedef signed   int   s_int;   /* signed 32-bit */
typedef unsigned int   u_int;   /* unsigned 32-bit */
typedef          bool  bit;     /* bit */
typedef          char  bit4;    /* unsigned 4-bit */

typedef char* _domain;          /* data type to hold a domain name */

#endif /* ifndef __DNSTYPES_H */

