/*
    Posadis - A DNS Server
    Function which finds configuration directory locations.
    Copyright (C) 2001  Meilof Veeningen <meilof@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __GETCONFIGDIR_H
#define __GETCONFIGDIR_H

#include <include/unifile.h>

extern char pathdelim[2];
bool is_posadis_dir(char *testname, char *dir);
int get_config_dir(char *dirtype, char result[PATH_MAX], char *testfile = NULL);

#endif /* __GETCONFIGDIR_H */

