/*
    Posadis - A DNS Server
    Version Information
    Copyright (C) 2001  Meilof Veeningen <meilof@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __VERSION_H
#define __VERSION_H

#include <config.h>

#ifndef VERSION
#define VERSION "0.50.6"
#endif

#ifndef PACKAGE
#define PACKAGE "posadis"
#endif

#ifdef _WIN32
#define PLATFORM "Win32"
#else
#define PLATFORM "Unix"
#endif

#ifdef _EXTDEBUG_
# define EXTINFO " Lots 'o debugging"
#else
# ifdef _DEBUG_
#  define EXTINFO " Debug"
# else
#  define EXTINFO ""
# endif
#endif

#define _POSADIS_VERINFO_ PACKAGE "/" PLATFORM " " VERSION EXTINFO

#endif /* __VERSION_H */

