/*
    Posadis - A DNS Server
    Main header file
    Copyright (C) 2001  Meilof Veeningen <meilof@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __DNS_H
#define __DNS_H

#include "version.h"
#include "dnsconstants.h"
#include "rr.h"
#include "domainfn.h"
#include "lexfn.h"
#include "classes.h"
#include "posadis.h"
#include "log.h"
#include "configuration.h"
#include "syssocket.h"
#include "cache.h"
#include "cachelookup.h"
#include "masterfile.h"
#include "threads.h"
#include "zones.h"

#include "config.h"

/* the following are some hacks to make things work under macosx.
   somewhere in the macosx system headers, the macro's setbit and isset are
   defined, which happen to also be names for functions i use. */
#undef isset
#undef setbit
#endif /* ifndef __DNS_H */

