/*
    Posadis - A DNS Server
    Loads and dumps DNS Master files
    Copyright (C) 2001  Meilof Veeningen <meilof@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __LOCALLEX_H
#define __LOCALLEX_H

#include "cache.h"

int load_master_file(Zone *zone, char *name, char *file, bool is_cache = false, bool recursive = false, int entryix = -1, char *origin = NULL, int _ttl = -1);

#endif /* ifdef __LOCALLEX_H */

