/*
    Posadis - A DNS Server
    Main source file
    Copyright (C) 2001  Meilof Veeningen <meilof@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __POSADIS_H
#define __POSADIS_H

extern long curtime; /* used all throughout the program */

extern int udpclientsock;
#ifdef HAVE_IPV6
extern int udp6clientsock;
#endif

extern bool stop; /* set to true when exiting */
#ifndef _WIN32
extern bool has_forked; /* when we have forked */
#endif

void cleanup(int);
void sighup(int);

#ifdef _WIN32
int entrypoint(int argc, char **argv);
#endif

#endif /* __POSADIS_H */

